# QPaintEvent Class Reference

The QPaintEvent class contains event parameters for paint events. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QPaintEvent ( const QRect & paintRect )
- const QRect& rect () const

## Detailed Description

The QPaintEvent class contains event parameters for paint events.

Paint events are sent to widgets that need to update themselves, for instance when a part of a widget is exposed because an overlying widget is moved away.

The event handler QWidget::paintEvent() receives paint events.

See also: QPainter, QWidget::update() and QWidget::repaint().

Examples: qtimage/qtimage.cpp life/life.cpp grapher/grapher.cpp forever/forever.cpp desktop/desktop.cpp connect/connect.cpp trivial/trivial.cpp tooltip/tooltip.cpp drawdemo/drawdemo.cpp hello/hello.cpp picture/picture.cpp xform/xform.cpp aclock/aclock.cpp progress/progress.cpp qmag/qmag.cpp showimg/showimg.cpp biff/biff.cpp

## Member Function Documentation

### QPaintEvent::QPaintEvent ( const QRect & paintRect )

Constructs a paint event object with the rectangle that should be updated.

### const QRect & QPaintEvent::rect () const

Returns the rectangle that should be updated.

Examples: qtimage/qtimage.cpp life/life.cpp grapher/grapher.cpp trivial/trivial.cpp progress/progress.cpp showimg/showimg.cpp

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qevent.h: 1998/10/05
- qdnd_x11.cpp: 1998/12/17
- qevent.cpp: 1999/01/13